const fetch = require('node-fetch')

const nodeToDomain = async () => {
  const manifests = (await (await fetch('https://validations.zaphod.ee/manifests.json')).json())
    .map(r => r.result.details)
    .filter(r => r.domain !== '')
    .reduce((a, b) => Object.assign(a, { [b.master_key]: b.domain }), {})
  const unlmap = await (await fetch('https://validations.zaphod.ee/unlmap.json')).json()
  const list = { ...manifests, ...unlmap }
  console.log(list)
  return list
}

console.log(nodeToDomain());
